# schneider cpc6128 data loading

## set up audio conversion

for audio conversion the `playtzx` software is required

- if on unix compile it yourself like this
  - download http://www.worldofspectrum.org/pub/sinclair/tools/unix/playtzx-0.12c.tar.gz
  - extract
  - run ./configure
  - run make
- if on another platform, search here http://www.worldofspectrum.org/utilities.html

## get a game

- search a game on https://www.cpc-power.com/
- click on the cassette icon in the navigation bar
- click on the cassette icon that now appeared below
- download the .cdt file

## convert to audio

```sh
./playtzx -voc -freq 22050 <diskfile>.cdt diskaudio.voc
ffmpeg -i diskaudio.voc diskaudio.ogg
```
if ogg isn't high enough resolution you can convert to wav instead

(optional) trim silence of the audio file

```sh
mp3splt -r diskaudio.ogg
```
